Get workbook export result

Returns the result of the specified workbook export.

Request

POST

http://<хост_on-premises>/rpc/getWorkbookExportResult

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "exportId": "example"
}

Name

Description

exportId

Type: string

ID of the workbook export whose result to retrieve.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "exportId": "example",
  "data": {
    "export": {},
    "hash": "example"
  },
  "status": "pending"
}

Name

Description

data

Type: object

export

Type: object

[additional]

Type: unknown

Example: null

Serialized workbook export data.

Example
{}

hash

Type: string

Hash of the serialized workbook export data.

Example: example

Example
{
  "export": {},
  "hash": "example"
}

exportId

Type: string

ID of the workbook export.

Example: example

status

Type: WorkbookTransferProcessStatus

Status of the workbook transfer process.

Enum: pending, success, error

WorkbookTransferProcessStatus

Status of the workbook transfer process.

Type: string

Enum: pending, success, error